Αλλαγή γραμματοσειράς
Ημερομηνία Κυρ Απρ 20, 2014 12:48 pm
foss.aueb.gr

Software

Ασυμβατότητα με python

Ερωτήσεις σχετικά με προγράμματα και εφαρμογές

Ασυμβατότητα με python

Δημοσίευσηαπό Open Proskopos » Δευτ Δεκ 06, 2010 2:06 pm

τρέχω ένα πρόγραμμα σε python από την κοσνόλα και μου βγάζει το εξής μήνυμα...
proskopos@ProskopoS:~/Επιφάνεια εργασίας$ python pdf-parser.py usrguide.pdf
This program does not work with this version of Python (2.6.6)
Please use Python version 2.6.2


λογικά θα υπάρχει και άλλη λυση από το να κάνω downgrade την έκδοση python που έχω... Τι να κάνω?
"In a world without end, my will is eternal. But a quest for the source of immortality will awaken the Guardian."
----------

"If you reveal your secrets to the wind, you should not blame the wind for revealing them to the trees."
Άβαταρ μέλους
Open Proskopos
Open Member
 
Δημοσ.: 79
Εγγραφη: Παρ Ιαν 22, 2010 12:57 am
Τοποθεσια: In the Cloud....

Re: Ασυμβατότητα με python

Δημοσίευσηαπό c00kiemon5ter » Δευτ Δεκ 06, 2010 3:29 pm

downgrade :cat:

If you reveal your secrets to the wind, you should not blame the wind for revealing them to the trees

:shh:
Computers are simple. You just write an instruction and they follow it.
Εικόνα
a cookie! ~ i.will.do.science.to.it! Εικόνα
Άβαταρ μέλους
c00kiemon5ter
cookie hunter
 
Δημοσ.: 556
Εγγραφη: Δευτ Μάιος 11, 2009 1:55 am
Τοποθεσια: (void *)NULL
Operating System: ~ Arch ~ .: Gentoo :.

Re: Ασυμβατότητα με python

Δημοσίευσηαπό Open Proskopos » Δευτ Δεκ 06, 2010 5:45 pm

c00kiemon5ter έγραψε:downgrade :cat:

If you reveal your secrets to the wind, you should not blame the wind for revealing them to the trees

:shh:

pffff downgrade? ok!!! και πως το κάνω?

Ποια μυστικά μου δεν πρέπει να δείχνω? ειναι το path σημαντικό? :D
"In a world without end, my will is eternal. But a quest for the source of immortality will awaken the Guardian."
----------

"If you reveal your secrets to the wind, you should not blame the wind for revealing them to the trees."
Άβαταρ μέλους
Open Proskopos
Open Member
 
Δημοσ.: 79
Εγγραφη: Παρ Ιαν 22, 2010 12:57 am
Τοποθεσια: In the Cloud....

Re: Ασυμβατότητα με python

Δημοσίευσηαπό cyberpython » Τρί Δεκ 07, 2010 6:15 pm

Δε νομίζω οτι χρειάζεται να κάνεις downgrade.
Άνοιξε το pdf-parser.py με έναν επεξεργαστή κειμένου π.χ. gedit (κάνε ένα αντίγραφο του αρχείου πρώτα) και άλλαξε τη γραμμή 8 :
Κώδικας: Επιλογή όλων
__maximum_python_version__ = (2, 6, 2)

σε:
Κώδικας: Επιλογή όλων
__maximum_python_version__ = (2, 6, 7)


Ελπίζω να δουλέψει.

Edit: Λειτουργεί κανονικά με python 2.6.6, μόλις το έτρεξα... :D
Άβαταρ μέλους
cyberpython
Open Member
 
Δημοσ.: 66
Εγγραφη: Τετ Μάιος 20, 2009 10:50 pm
Operating System: Ubuntu

Re: Ασυμβατότητα με python

Δημοσίευσηαπό Open Proskopos » Τρί Δεκ 07, 2010 8:43 pm

cyberpython έγραψε:Δε νομίζω οτι χρειάζεται να κάνεις downgrade.
Άνοιξε το pdf-parser.py με έναν επεξεργαστή κειμένου π.χ. gedit (κάνε ένα αντίγραφο του αρχείου πρώτα) και άλλαξε τη γραμμή 8 :
Κώδικας: Επιλογή όλων
__maximum_python_version__ = (2, 6, 2)

σε:
Κώδικας: Επιλογή όλων
__maximum_python_version__ = (2, 6, 7)


Ελπίζω να δουλέψει.

Edit: Λειτουργεί κανονικά με python 2.6.6, μόλις το έτρεξα... :D

ευχαριστώ mate.. :P
"In a world without end, my will is eternal. But a quest for the source of immortality will awaken the Guardian."
----------

"If you reveal your secrets to the wind, you should not blame the wind for revealing them to the trees."
Άβαταρ μέλους
Open Proskopos
Open Member
 
Δημοσ.: 79
Εγγραφη: Παρ Ιαν 22, 2010 12:57 am
Τοποθεσια: In the Cloud....


Επιστροφή στην Software

cron
foss.aueb.gr

Μελη σε συνδεση

Συνολικά υπάρχει 1 μέλος συνδεδεμένο: 0 εγγεγραμμένο, 0 κρυφοί και 1 επισκέπτης (με βάση τα μέλη που έχουν συνδεθεί τα τελευταία 5 λεπτά)
Περισσότερα μέλη σε σύνδεση 127 την Τρί Αύγ 27, 2013 9:41 pm

Μέλη σε αυτή την Δ. Συζήτηση : Δεν υπάρχουν εγγεγραμμένα μέλη και 1 επισκέπτης

Γενέθλια

Κανένα μέλος δεν έχει γενέθλια σήμερα